## javax.help
Class InvalidNavigatorViewException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.help.InvalidNavigatorViewException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidNavigatorViewException
extends java.lang.Exception

JHelpNavigator cannot deal with given NavigatorView.

See Also:
  Serialized Form

Constructor Summary
`InvalidNavigatorViewException(java.lang.String msg, HelpSet hs, java.lang.String name, java.lang.String label, java.util.Locale locale, java.lang.String className, java.util.Hashtable params)` Create an exception.

Method Summary
`java.lang.String` `getClassName()`
`HelpSet` `getHelpSet()`
`java.lang.String` `getLabel()`
`java.util.Locale` `getLocale()`
`java.lang.String` `getName()`
`java.util.Hashtable` `getParams()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidNavigatorViewException

    public InvalidNavigatorViewException(java.lang.String msg,
                                         HelpSet hs,
                                         java.lang.String name,
                                         java.lang.String label,
                                         java.util.Locale locale,
                                         java.lang.String className,
                                         java.util.Hashtable params)

  Create an exception. All parameters accept null values.

Parameters:
  `msg` - The message. If msg is null it is the same as if no detailed message was specified.

Method Detail

### getHelpSet

    public HelpSet getHelpSet()

  Returns:
    The helpset

### getName

    public java.lang.String getName()

  Returns:
    The name

### getLabel

    public java.lang.String getLabel()

  Returns:
    The label

### getLocale

    public java.util.Locale getLocale()

  Returns:
    The locale

### getClassName

    public java.lang.String getClassName()

  Returns:
    The className

### getParams

    public java.util.Hashtable getParams()

  Returns:
    The parameters